%define upstream_name zope.hookable

Name:           python-%{upstream_name}
Version:        5.0.1
Release:        %mkrel 1
Summary:        Zope hookable
Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/zope.hookable/
Source0:        https://files.pythonhosted.org/packages/31/ce/4d1cd6d2a3d980989ceaf86abb6c8683f90f01a81861f3de6ec7ae317db7/zope.hookable-%{version}.tar.gz

%description
This package supports the efficient creation of “hookable” objects, which are
callable objects that are meant to be optionally replaced.

The idea is that you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation. All users of the function, including those
that imported it, will see the change.

%package -n     python3-%{upstream_name}
Summary:        Zope hookable
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
This package supports the efficient creation of “hookable” objects, which are
callable objects that are meant to be optionally replaced.

The idea is that you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation. All users of the function, including those
that imported it, will see the change.

%prep
%setup -q -n zope.hookable-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitearch}/zope
%{python3_sitearch}/zope.hookable-%{version}-*.egg-info
%{python3_sitearch}/zope.hookable-%{version}-*-nspkg.pth


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 5.0.1-1.mga8
+ Revision: 1608484
- new version 5.0.1
- new version works with Python 3.8 and latest setuptools
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 4.2.0-3.mga8
+ Revision: 1534558
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 4.2.0-2.mga8
+ Revision: 1449373
- drop useless build dependency

* Thu Oct 03 2019 guillomovitch <guillomovitch> 4.2.0-1.mga8
+ Revision: 1449165
- imported package python-zope.hookable

